Get a single Vehicle by its id
curl --request GET \
--url https://commerce.driv.ly/api/vehicles/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://commerce.driv.ly/api/vehicles/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://commerce.driv.ly/api/vehicles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updatedAt": "<string>",
"createdAt": "<string>",
"name": "<string>",
"vin": "<string>",
"customer": 123,
"status": [
"Bought at Auction"
],
"deals": [
123
],
"year": "<string>",
"make": "<string>",
"model": "<string>",
"trim": "<string>",
"style": "<string>",
"body": "<string>",
"drivetrain": "<string>",
"engine": "<string>",
"transmission": "<string>",
"interior": "<string>",
"exterior": "<string>",
"listings": [
123
],
"serviceQuotes": [
123
],
"tenant": 123,
"trades": [
123
],
"createdBy": 123,
"transportServiceOrders": "<string>",
"transportServiceOrders2": [
123
]
}{
"errors": [
{
"message": "<string>"
}
]
}Vehicles
Get a single Vehicle by its id
Get a single Vehicle by its id
GET
/
vehicles
/
{id}
Get a single Vehicle by its id
Usage with the Drivly SDK
Usage with the Drivly SDK
Make sure you install our SDK first. You can find out how, and more here.
import { SDK } from '@drivly/commerce'
import type { vehicles } from '@drivly/commerce'
const sdk = new SDK(...)
const vehicles = await sdk.vehicles.findOne(vehiclesId: string): Promise<vehicles>
Authorizations
Path Parameters
id of the Vehicle
Query Parameters
number of levels to automatically populate relationships and uploads
retrieves document(s) in a specific locale
specifies a fallback locale if no locale value exists
sort by field
pass a where query to constrain returned documents (complex type, see documentation)
Show child attributes
Show child attributes
Example:
{
"or": [
{ "color": { "equals": "mint" } },
{
"and": [
{ "color": { "equals": "white" } },
{ "featured": { "equals": false } }
]
}
]
}
limit the returned documents to a certain number
get a specific page of documents
Response
ok
Available options:
Bought at Auction, Inspected, Transport to Inspection, Transport to Customer, Arbitration, Bid Placed, SOLD TO CUSTOMER, Identified as potential option for customer, Taken in on Trade, Trade sold at Auction, Trade sold Retail